#!/usr/bin/env python3

import sys
import numpy as np
np.random.seed(8910)
from keras.models import Sequential

from keras.layers import Dense, Dropout, Activation, Flatten
from keras.layers import Convolution2D, MaxPooling2D
from keras.utils import np_utils
from keras.datasets import mnist
from matplotlib import pyplot as plt

(X_train, y_train), (X_test, y_test) = mnist.load_data()

print('X_train:', X_train.shape, 'y_train:', y_train.shape)

if len(sys.argv) == 1:
    k = 20
else:
    k = int(sys.argv[1])

for i in X_train:
    filename = str(k) + '.png'
    k = k-1
    if k < 0:
        break
    plt.imsave(filename, i)
