#!/usr/bin/python
##########
#
# Name: LED_PWM_Dimmer.py
# Description:cycle a led from bright and dim
# Version 1.0
# Date: February 7, 2018
#
#########

import RPi.GPIO as GPIO
import time
GPIO.setmode(GPIO.BOARD)
GPIO.setup(21, GPIO.OUT)	#set pin 21 as an output
p = GPIO.PWM(21,50)			# for the object set the frequency on pin 21 to 50%
p.start(0)					#for the object set PWM dutycylce to 0%

try:
	while True:
		for x in range (100):		#execute loop 100 times
			p.ChangeDutyCycle(x)	#go bright by increasing the dutycycle 0-100
			time.sleep(0.02)        #sleep 20m seconds
		for x in range(100):		#execute loop 100 times
			p.ChangeDutyCycle(100-x)#go dim by reducing the dutycycle 100-0
			time.sleep(0.02)		#sleep 20m seconds


except KeyboardInterrupt: #if ctrl+c pressed exit cleanly
	GPIO.cleanup()
except: # this catches ALL other exceptions including errors.
	GPIO.cleanup()
finally: #cleanup GPIO on normal exit
	GPIO.cleanup()
